[134639] users/devans/GNOME-3/stable/dports/gnome/alacarte

devans at macports.org devans at macports.org
Wed Apr 1 09:26:54 PDT 2015


Revision: 134639
          https://trac.macports.org/changeset/134639
Author:   devans at macports.org
Date:     2015-04-01 09:26:53 -0700 (Wed, 01 Apr 2015)
Log Message:
-----------
GNOME-3/stable: alacarte, reconfigure using autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/alacarte/Portfile

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/alacarte/files/autogen.sh

Modified: users/devans/GNOME-3/stable/dports/gnome/alacarte/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/alacarte/Portfile	2015-04-01 16:09:46 UTC (rev 134638)
+++ users/devans/GNOME-3/stable/dports/gnome/alacarte/Portfile	2015-04-01 16:26:53 UTC (rev 134639)
@@ -28,9 +28,12 @@
 supported_archs noarch
 
 depends_build   port:pkgconfig \
+                port:libxslt \
                 port:intltool \
-                port:gtk-doc \
-                port:libxslt
+                port:gnome-common \
+                port:autoconf \
+                port:automake \
+                port:libtool
 
 depends_lib     port:desktop-file-utils \
                 port:gtk3 \
@@ -45,11 +48,14 @@
                 patch-acinclude.m4.diff \
                 patch-Alacarte-MenuEditor.py.diff
 
-# reconfigure with our intltool.m4
+# reconfigure using autogen.sh for intltool 0.51 compatibility
 
-use_autoreconf  yes
-autoreconf.args -fvi
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
 
+configure.cmd   ./autogen.sh
+
 # python3 is not supported
 
 configure.python            ${prefix}/bin/python2.7

Added: users/devans/GNOME-3/stable/dports/gnome/alacarte/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/alacarte/files/autogen.sh	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/alacarte/files/autogen.sh	2015-04-01 16:26:53 UTC (rev 134639)
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="alacarte"
+REQUIRED_AUTOCONF_VERSION=2.53
+REQUIRED_AUTOMAKE_VERSION=${REQUIRED_AUTOMAKE_VERSION:-1.9}
+
+(test -f $srcdir/configure.ac \
+  && test -f $srcdir/autogen.sh) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+DIE=0
+
+# This is a bit complicated here since we can't use gnome-config yet.
+# It'll be easier after switching to pkg-config since we can then
+# use pkg-config to find the gnome-autogen.sh script.
+
+gnome_autogen=
+gnome_datadir=
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+  test -z "$dir" && dir=.
+  if test -f $dir/gnome-autogen.sh ; then
+    gnome_autogen="$dir/gnome-autogen.sh"
+    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+    break
+  fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+  echo "You need to install the gnome-common module and make"
+  echo "sure the gnome-autogen.sh script is in your \$PATH."
+  exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150401/ad8e5d59/attachment.html>


More information about the macports-changes mailing list